[Freeciv-Dev] [bug #20551] failed to compile luasql: not compatible with Lua 5.2

2013-03-04 Thread Matthias Pfafferodt
Follow-up Comment #11, bug #20551 (project freeciv): file #17357 fixes the bug for me; see also svn 2.5 at https://build.opensuse.org/project/monitor?project=home%3Asyntron%3Afreeciv ___ Reply to this item at: http://gna.org/bugs/?20551

[Freeciv-Dev] [bug #20551] failed to compile luasql: not compatible with Lua 5.2

2013-03-04 Thread Marko Lindqvist
Update of bug #20551 (project freeciv): Status: Ready For Test = Fixed Assigned to:None = cazfi Open/Closed:Open = Closed

[Freeciv-Dev] [bug #20551] failed to compile luasql: not compatible with Lua 5.2

2013-02-26 Thread Jacob Nevins
Follow-up Comment #8, bug #20551 (project freeciv): Applying the patch (file #17336) I get cc1: warnings being treated as errors ls_mysql.c: In function ‘cur_nullify’: ls_mysql.c:193: error: no return statement in function returning non-void And indeed that appears to be true. The whole

[Freeciv-Dev] [bug #20551] failed to compile luasql: not compatible with Lua 5.2

2013-02-26 Thread Jacob Nevins
Follow-up Comment #9, bug #20551 (project freeciv): (Erm, I should have said that's in dependencies/luasql-2.1.1/src/ls_mysql.c.) ___ Reply to this item at: http://gna.org/bugs/?20551 ___

[Freeciv-Dev] [bug #20551] failed to compile luasql: not compatible with Lua 5.2

2013-02-26 Thread Marko Lindqvist
Follow-up Comment #10, bug #20551 (project freeciv): No caller expects return value, so making the return value void. I'm more worried about the fact that this didn't turn out as error in my build. Despite -Werror it shows it just as an warning. (file #17357)

[Freeciv-Dev] [bug #20551] failed to compile luasql: not compatible with Lua 5.2

2013-02-25 Thread Marko Lindqvist
Follow-up Comment #5, bug #20551 (project freeciv): So, they have no tarballs at all. README's (in our luasql-2.1.1 directory, and in their latest tree) refer itself as luasql-2.1, homepage says 2.2 is the latest, git has no 2.2 tag but has 2.3 tag...

[Freeciv-Dev] [bug #20551] failed to compile luasql: not compatible with Lua 5.2

2013-02-25 Thread Marko Lindqvist
Update of bug #20551 (project freeciv): Status:None = Ready For Test Planned Release: = 2.5.0 ___ Follow-up Comment #6: Attached patch

[Freeciv-Dev] [bug #20551] failed to compile luasql: not compatible with Lua 5.2

2013-02-25 Thread Jacob Nevins
Follow-up Comment #7, bug #20551 (project freeciv): ...issue 7 https://github.com/keplerproject/luasql/issues/7 claims that 2.4.0 exists (haven't checked)... ___ Reply to this item at: http://gna.org/bugs/?20551

[Freeciv-Dev] [bug #20551] failed to compile luasql

2013-02-24 Thread Lavrentij P Berija
Follow-up Comment #2, bug #20551 (project freeciv): Compiled luasql from git ( https://github.com/keplerproject/luasql ). fcser throws an error ~/soft/freeciv/trunk/server/.libs/lt-freeciv-server: symbol lookup error: ~/soft/freeciv/trunk/server/.libs/libfreeciv-srv.so.0: undefined symbol:

[Freeciv-Dev] [bug #20551] failed to compile luasql

2013-02-24 Thread Marko Lindqvist
Follow-up Comment #3, bug #20551 (project freeciv): backport from luasql development version if required changes are there I think we could adapt parts of this commit: https://github.com/keplerproject/luasql/commit/21eb9b968c44c7f44ebf8686153d91e15c84b874

[Freeciv-Dev] [bug #20551] failed to compile luasql

2013-02-24 Thread Marko Lindqvist
Follow-up Comment #4, bug #20551 (project freeciv): undefined symbol: rl_attempted_completion_function We've seen that before, I think: bug #19859 ___ Reply to this item at: http://gna.org/bugs/?20551

[Freeciv-Dev] [bug #20551] failed to compile luasql: not compatible with Lua 5.2

2013-02-24 Thread Jacob Nevins
Update of bug #20551 (project freeciv): Summary: failed to compile luasql = failed to compile luasql: not compatible with Lua 5.2 ___ Reply to this item at: http://gna.org/bugs/?20551

[Freeciv-Dev] [bug #20551] failed to compile luasql

2013-02-23 Thread Marko Lindqvist
Follow-up Comment #1, bug #20551 (project freeciv): I had forgotten that luasql gets built only when auth is in use, so its build with lua-5.2 was never tested. I were just surprised that it caused no problems in my testing! There seems to be no lua-5.2 compatible version of luasql available.